
Redmine - Feature #35797

Don't show issues without spent time on the issues list with 0.00/0:00 spent time values

2021-08-22 08:43 - Mischa The Evil

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues list Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

Currently issues without spent time are rendered on the issues list with 0.00/0:00 spent time values.

I think it would make more sense to completely omit showing any spent time values for such issues instead. Such would tidy up the

issue list some more, rendering only actually set values.

Related issues:

Related to Redmine - Patch #35674: Several improvements (with fixes of incons... New

History

#1 - 2021-08-22 08:46 - Mischa The Evil

- Related to Patch #35674: Several improvements (with fixes of inconsistencies) for the issues show view added

#2 - 2021-09-05 22:53 - Marius BĂLTEANU

- Target version set to Candidate for next major release

The easiest and safest way to achieve this is to render the column content only when the spent time or total spent time is > 0:

diff --git a/app/helpers/queries_helper.rb b/app/helpers/queries_helper.rb

index 9b223f84a..401b8d776 100644

--- a/app/helpers/queries_helper.rb

+++ b/app/helpers/queries_helper.rb

@@ -268,9 +268,13 @@ module QueriesHelper

       when :hours, :estimated_hours, :total_estimated_hours

         format_hours(value)

       when :spent_hours

-        link_to_if(value > 0, format_hours(value), project_time_entries_path(item.project, :issue_id => "#{it

em.id}"))

+        if value > 0

+          link_to(format_hours(value), project_time_entries_path(item.project, :issue_id => "#{item.id}"))

+        end

       when :total_spent_hours

-        link_to_if(value > 0, format_hours(value), project_time_entries_path(item.project, :issue_id => "~#{i

tem.id}"))

+        if value > 0

+          link_to(format_hours(value), project_time_entries_path(item.project, :issue_id => "~#{item.id}"))

+        end

       when :attachments

         value.to_a.map {|a| format_object(a)}.join(" ").html_safe

 The current issue where an issue with spent time added with 0 hours cannot be distinguish from an issue with no spent times will remain.

I'm in favour of this change because the view will be cleaner and consistent with estimated time columns.
